package com.lz.modules.equipment.entity.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author M
 * @Owner:
 * @Time: 2020/7/27
 */
@ApiModel(value = "设备录入body", description = "设备录入请求体")
public class AddEquipmentModel implements Serializable {

    @ApiModelProperty(value = "品牌名称", name = "brandName", example = "联想笔记本", required = true)
    @NotNull(message = "品牌名称不能为空")
    private String brandName;
    @ApiModelProperty(value = "规格型号", name = "specType", example = "19.5寸", required = true)
    @NotNull(message = "规格型号不能为空")
    private String specType;
    @ApiModelProperty(value = "设备类型（id）", name = "typeId", example = "1", required = true)
    @NotNull(message = "类型id不能为空")
    private Long typeId;
    @ApiModelProperty(value = "数量", name = "num", example = "1" )
    private Integer num = 1;
    @ApiModelProperty(value = "单位", name = "unit", example = "件，台")
    @NotNull(message = "单位不能为空")
    private String unit;
    /*@ApiModelProperty(value = "使用方", name = "user", example = "张三，前台", required = true)
    @NotNull
    private String user;
    @ApiModelProperty(value = "所属人", name = "owner", example = "默认与使用方一致", required = true)
    @NotNull
    private String owner;*/
    @ApiModelProperty(value = "设备本身标识", name = "qr", example = "m3n445l")
    private String qr;
    @ApiModelProperty(value = "设备原有标识", name = "originalCode", example = "LZBE18110099")
    private String originalCode;
    @ApiModelProperty(value = "现有生成标识", name = "code", example = "前端生成唯一码", required = true)
    @NotNull(message = "生成标识不能为空")
    private String code;
    @ApiModelProperty(value = "备注", name = "mark", example = "联想")
    private String mark;
    @ApiModelProperty(value = "买入金额", name = "buyAmount", example = "990.51")
    private BigDecimal buyAmount;
    @ApiModelProperty(value = "程编号", name = "no", example = "审批编号")
    private String no;


    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getSpecType() {
        return specType;
    }

    public void setSpecType(String specType) {
        this.specType = specType;
    }

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getQr() {
        return qr;
    }

    public void setQr(String qr) {
        this.qr = qr;
    }

    public String getOriginalCode() {
        return originalCode;
    }

    public void setOriginalCode(String originalCode) {
        this.originalCode = originalCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public BigDecimal getBuyAmount() {
        return buyAmount;
    }

    public void setBuyAmount(BigDecimal buyAmount) {
        this.buyAmount = buyAmount;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Override
    public String toString() {
        return "AddEquipmentModel{" +
                "brandName='" + brandName + '\'' +
                ", specType='" + specType + '\'' +
                ", typeId=" + typeId +
                ", num=" + num +
                ", unit='" + unit + '\'' +
                ", qr='" + qr + '\'' +
                ", originalCode='" + originalCode + '\'' +
                ", code='" + code + '\'' +
                ", mark='" + mark + '\'' +
                ", buyAmount=" + buyAmount +
                ", no='" + no + '\'' +
                '}';
    }
}